Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigsaw.proxy
Class ProxyExtFrame

    java.lang.Object
      |
      +--org.w3c.tools.resources.AttributeHolder
            |
            +--org.w3c.tools.resources.Resource
                  |
                  +--org.w3c.tools.resources.FramedResource
                        |
                        +--org.w3c.tools.resources.ResourceFrame
                              |
                              +--org.w3c.tools.resources.ProtocolFrame
                                    |
                                    +--org.w3c.jigsaw.frames.HTTPFrame
                                          |
                                          +--org.w3c.jigsaw.proxy.ForwardFrame
                                                |
                                                +--org.w3c.jigsaw.proxy.ProxyFrame
                                                      |
                                                      +--org.w3c.jigsaw.proxy.ProxyExtFrame

public class ProxyExtFrame
extends ProxyFrame

Fields inherited from class org.w3c.jigsaw.proxy.ProxyFrame
`ATTR_HANDLEFTP`

Fields inherited from class org.w3c.jigsaw.proxy.ForwardFrame
`ATTR_LOCAL_ROOT, ATTR_RECEIVED_BY, ATTR_TRACEREQ, cache_hits, cache_icps, cache_misses, cache_nocache, cache_retrievals, cache_revalidations, lroot, manager, reqcount, reqerred, WARN_HEURISTIC`

Fields inherited from class org.w3c.jigsaw.frames.HTTPFrame
`acceptRanges, allowed, ATTR_ALLOW_DEL, ATTR_BROWSABLE, ATTR_CHARSET, ATTR_CONTENT_ENCODING, ATTR_CONTENT_LANGUAGE, ATTR_CONTENT_LENGTH, ATTR_CONTENT_TYPE, ATTR_ICON, ATTR_ICONDIR, ATTR_INDEX, ATTR_INDEXES, ATTR_MAXAGE, ATTR_MD5, ATTR_PUTABLE, ATTR_QUALITY, ATTR_RELOCATE, ATTR_STYLE_LINK, ATTR_TITLE, browsetype, COND_FAILED, COND_OK, COND_WEAK, dresource, fresource, listing, listing_stamp, STATE_CONTENT_LOCATION`

Fields inherited from class org.w3c.tools.resources.ResourceFrame
`filterClass, frameListener, resource`

Fields inherited from class org.w3c.tools.resources.FramedResource
`ATTR_OID, attrListener, debugEvent, event_disabled, framesRef, structListener`

Fields inherited from class org.w3c.tools.resources.Resource
`ATTR_CONTEXT, ATTR_HELP_URL, ATTR_IDENTIFIER, ATTR_LAST_MODIFIED, ATTR_PARENT, ATTR_RESOURCE_FRAMES, ATTR_STORE_ENTRY, ATTR_URL, co, id`

Fields inherited from class org.w3c.tools.resources.AttributeHolder
`attributes, values`

Constructor Summary
`ProxyExtFrame()`

Method Summary
`Reply` | `applyExtensions(Reply reply, HttpExtList cman, HttpExtList copt)` Apply extension to the reply.
`Reply` | `applyExtensions(Request request, HttpExtList cman, HttpExtList copt)` Apply extension to the request.
`ReplyInterface` | `perform(RequestInterface ri)` Perform the given proxied request.

Methods inherited from class org.w3c.jigsaw.proxy.ProxyFrame
`checkHandleFTP, initialize, lookup, lookupOther, registerResource, setValue`

Methods inherited from class org.w3c.jigsaw.proxy.ForwardFrame
`dupReply, dupRequest, getLocalRoot, getLocalRootResource, getReceivedBy, getTraceRequest, getVia, notifyUnload, updateStatistics`

Methods inherited from class org.w3c.jigsaw.frames.HTTPFrame
`addStyleSheet, attributeChanged, browse, checkExpect, checkIfMatch, checkIfModifiedSince, checkIfNoneMatch, checkIfUnmodifiedSince, checkRequest, checkValidators, computeContainerListing, computeETag, computeTrashDir, computeTrashFile, createDefaultReply, createFileReply, delete, deleteDirectoryResource, deleteFileResource, deleteMe, deleteOtherResource, extended, get, getAllow, getAllowDeleteFlag, getBrowsableFlag, getBrowseType, getCharset, getContentEncoding, getContentLanguage, getContentLength, getContentType, getDirectoryListing, getDirectoryResource, getDirectoryResource, getETag, getFileResource, getFileResource, getHelpURL, getHelpURL, getIcon, getIconDirectory, getIndex, getIndexes, getMaxAge, getMD5Flag, getOtherResource, getPutableFlag, getQuality, getRelocateFlag, getStyleSheetURL, getTitle, getURL, handleRangeRequest, head, headDirectoryResource, headFileResource, headOtherResource, initialize, link, lookupDirectory, lookupFile, lookupResource, options, performFrames, pickleValues, post, put, putFileResource, putOtherResource, registerOtherResource, trace, unlink, updateCachedHeaders`

Methods inherited from class org.w3c.tools.resources.ResourceFrame
`addFrameEventListener, eventDisabled, fireFrameEvent, frameModified, getFilters, getFilters, getFrameReference, getResource, getResourceReference, getSpaceEntry, getURLPath, lookupFilters, lookupFrames, postFrameEvent, processEvent, removeFrameEventListener, unregisterResource, updateDefaultChildAttributes`

Methods inherited from class org.w3c.tools.resources.FramedResource
`addAttributeChangedListener, addStructureChangedListener, collectFramesReference, delete, disableEvent, displayEvent, enableEvent, fireAttributeChangeEvent, fireStructureChangedEvent, fireStructureChangedEvent, frameAdded, frameRemoved, getClone, getFrame, getFrame, getFrameReference, getFrameReference, getFramesReference, getOid, markModified, postAttributeChangeEvent, postEvent, postStructureChangedEvent, postStructureChangedEvent, registerFrame, registerFrameIfNone, removeAttributeChangedListener, removeStructureChangedListener, setSilentValue, setSilentValue, unregisterFrame`

Methods inherited from class org.w3c.tools.resources.Resource
`acceptUnload, checkMultipleLock, collectFrames, getContext, getFrame, getFrames, getIdentifier, getLastModified, getParent, getServer, getSpace, getStoreEntry, getValue, getValue, isInitialized, isUnloaded, setContext, setContext, setValue, unsafeGetContext, unsafeGetIdentifier, unsafeGetValue, updateAttributes`

Methods inherited from class org.w3c.tools.resources.AttributeHolder
`definesAttribute, definesAttribute, getAttributes, getBoolean, getChar, getClone, getClone, getDouble, getFloat, getInt, getLong, getString, getValue, lookupAttribute, print, setBoolean, setChar, setDouble, setFloat, setInt, setLong, setString, setValue, unsafeGetString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProxyExtFrame

    public ProxyExtFrame()

Method Detail

### perform

    public ReplyInterface perform(RequestInterface ri)
                           throws ProtocolException,
                                  ResourceException

  Perform the given proxied request.
  Overrides:
    perform in class ForwardFrame
  Parameters:
    `request` - The request to perform.
  Returns:
    A Reply instance.
  Throws:
    ProtocolException - if processing the request failed.
    ResourceException - if the resource got a fatal error.

### applyExtensions

    public Reply applyExtensions(Request request,
                                 HttpExtList cman,
                                 HttpExtList copt)
                          throws ProtocolException

  Apply extension to the request.
  Parameters:
    `request` - the incomming request
    `cman` - The Mandatory hop-by-hop extension declaration list
    `cman` - The optionnal hop-by-hop extension declaration list
  Returns:
    a Reply instance or null if processing the request must continue
  Throws:
    ProtocolException - if processing the request failed.

### applyExtensions

    public Reply applyExtensions(Reply reply,
                                 HttpExtList cman,
                                 HttpExtList copt)
                          throws ProtocolException

  Apply extension to the reply.
  Parameters:
    `request` - the reply
    `cman` - The Mandatory hop-by-hop extension declaration list
    `cman` - The optionnal hop-by-hop extension declaration list
  Returns:
    a Reply instance.
  Throws:
    ProtocolException - if processing the request failed.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD